curl --request GET \
--url https://api.fintoc.com/v1/subscriptions/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.fintoc.com/v1/subscriptions/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fintoc.com/v1/subscriptions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fintoc.com/v1/subscriptions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fintoc.com/v1/subscriptions/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fintoc.com/v1/subscriptions/{id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fintoc.com/v1/subscriptions/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "sub_m7N9rAWJS9dWDKEe",
"object": "subscription",
"account": {
"id": "acc_nMNejK7BT8oGbvO4",
"object": "account",
"balance": null,
"currency": "CLP",
"holder_id": "111111111",
"holder_name": "Jon Snow",
"institution": {
"id": "cl_banco_estado",
"country": "cl",
"name": "Banco Estado"
},
"name": "Cuenta Corriente",
"number": "9530516286",
"official_name": "Cuenta Corriente Moneda Local",
"type": "checking_account"
},
"created_at": "2023-03-08T15:24:11Z",
"mode": "live",
"reference_id": "ABC12345",
"status": "active"
}{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid API Key: invalid-*oken"
}
}{
"error": {
"type": "invalid_request_error",
"code": "missing_resource",
"param": "id",
"message": "No such subscription: sub_m7N9rAWJS9dWDKEe",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}Get a subscription
Retrieves a subscription by its id. Only subscriptions matching the live or test mode of the API key are visible.
curl --request GET \
--url https://api.fintoc.com/v1/subscriptions/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.fintoc.com/v1/subscriptions/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fintoc.com/v1/subscriptions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fintoc.com/v1/subscriptions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fintoc.com/v1/subscriptions/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fintoc.com/v1/subscriptions/{id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fintoc.com/v1/subscriptions/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "sub_m7N9rAWJS9dWDKEe",
"object": "subscription",
"account": {
"id": "acc_nMNejK7BT8oGbvO4",
"object": "account",
"balance": null,
"currency": "CLP",
"holder_id": "111111111",
"holder_name": "Jon Snow",
"institution": {
"id": "cl_banco_estado",
"country": "cl",
"name": "Banco Estado"
},
"name": "Cuenta Corriente",
"number": "9530516286",
"official_name": "Cuenta Corriente Moneda Local",
"type": "checking_account"
},
"created_at": "2023-03-08T15:24:11Z",
"mode": "live",
"reference_id": "ABC12345",
"status": "active"
}{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid API Key: invalid-*oken"
}
}{
"error": {
"type": "invalid_request_error",
"code": "missing_resource",
"param": "id",
"message": "No such subscription: sub_m7N9rAWJS9dWDKEe",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}Authorizations
Path Parameters
The id of the subscription to retrieve.
Response
The subscription.
Represents a payer's authorization to charge a bank account. Fintoc creates a Subscription when a SubscriptionIntent succeeds, and an active subscription accepts charges.
Unique identifier of the subscription.
"sub_m7N9rAWJS9dWDKEe"
Type of the object. Always subscription.
Represents the bank account a payer authorized for a subscription.
Show child attributes
Show child attributes
ISO 8601 timestamp, in UTC, of when the subscription was created.
"2023-03-08T15:24:11Z"
Mode of the object. live objects use real institution data, test objects use fake data for integration testing.
test, live "live"
Identifier the payer's bank uses to display the subscription on the bank's portal. Defaults to the account holder's ID when not provided on creation.
"ABC12345"
Status of the subscription. One of pending (the bank has not confirmed the subscription yet), active (the subscription accepts charges), canceled (the subscription no longer accepts charges), or expired (the bank did not confirm the subscription within 7 days).
pending, active, canceled, expired "active"
Was this page helpful?